<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="./style.css">
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-4">
                <div class="form-group">
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewInputText" data-element="input" data-type="text" data-value="text">Add New Input Text</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewInputNumber" data-element="input" data-type="number" data-value="3">Add New Input Number</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewInputDate" data-element="input" data-type="date" data-value="date">Add New Input Date</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewInputPassword" data-element="input" data-type="password" data-value="password">Add New Input Password</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewInputEmail" data-element="input" data-type="email" data-value="email">Add New Input Email</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewInputRange" data-element="input" data-type="range" data-value="range">Add New Input Range</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewColorRange" data-element="input" data-type="color" data-value="color">Add New Color</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewSubmitRange" data-element="button" data-type="submit" data-value="submit">Add New Submit</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewResetRange" data-element="button" data-type="reset" data-value="reset">Add New Reset</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewTextArea" data-element="textarea" data-value="textarea">Add New TextArea</button>
                    <button class="btn js-btn btn-outline-primary btn-block" id="createNewSelect" data-element="select" data-value="select">Add New Select</button>
                </div>
            </div>
            <div class="col-8">
                <div class="js-fields-wrapper">
                </div>

                <div class="form popup js-popup">
                    <div class="form-group js-popup-fields">
                    </div>
                    <button type="button" class="btn btn-primary">Save</button>
                    <button type="button" class="btn btn-danger">Delete</button>
                </div>
            </div>
            
        </div>
    </div>
    
    <script src="./script.js"></script>
</body>
</html>


